<?php
//echo '<pre>';
//print_r($person_travel_location);
//exit();
$travel_status = array(false);
foreach ($person_travel_location as $v_city) {
    $travel_status[$v_city->travel_city] = true;
}
foreach ($country_city as $v_city) {
    ?>

    <div class="col-sm-3">
        <div>
            <input type="checkbox" name="city[]" id="city[]" 
                   value="<?php echo $v_city->city_name; ?>"
                   <?php
                   if ($travel_status[$v_city->city_name]) {
                       echo 'checked';
                   }
                   ?>>
                   <?php echo $v_city->city_name; ?>

        </div>
    </div>
    <?php
}
?>